%define upstream_name    Dist-Zilla-Plugin-Conflicts
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declare conflicts for your distro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module lets you declare conflicts on other modules (usually
dependencies of your module) in your _dist.ini_.

Declaring conflicts does several thing to your distro.

First, it generates a module named something like
'Your::Distro::Conflicts'. This module will use the Dist::CheckConflicts
manpage to declare and check conflicts. The package name will be obscured
from PAUSE by putting a newline after the 'package' keyword.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 533102
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 0.130.0-1.mga4
+ Revision: 471749
- update to 0.13

* Tue Jul 23 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 457360
- update to 0.11

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441561
- update to 0.10

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 439089
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 366113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.08

* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71010
- imported package perl-Dist-Zilla-Plugin-Conflicts


* Mon Mar 14 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
